function vesan

global movi imagenr positioner old_movi name_nr pixel_size values_matrix hex hey the_name xxes yyes counter

% this set of macros allows the user to choose a rectangular area within
% the image, in which fluorescently labeled organelles are identified and
% analyzed
% the user selects a background region first, by right-click
% a square, of 101 pixel width, is shown on the image, delineated by the
% green line
% the user then selects a rectangular region of interest, in which the
% organelles will be analyzed. The user firsts performs a by left-click;
% the mouse cursor turns into a "+", which signifies that the user can now
% drag the mouse to determine the size of the rectangular region.
% This region is delineated in white.
% A new figure appears, showing:
% top left: the selected area (in a fire colormap)
% top right: the same area, filtered using a band pass filter, performed
% using the bpass code from Crocker and Grier:
%       This code 'bpass.pro' is copyright 1997, John C. Crocker and 
%       David G. Grier.  It should be considered 'freeware'- and may be
%       distributed freely in its original form when properly attributed.  
% bottom: the organelles selected, shown in white on a black background.
% The user can change the selection by using the scroll bar at the bottom.
% Upon satisfactory selection, the user presses the "calculate" button.
% The following values are determined for all regions:
% 1) size in the X dimension, in pixels
% 2) size in the Y dimension, in pixels
% 3) the total intensity
% 4) the average intensity
% 5) the area of the organelle, in pixels
% 6) the area of the organelle, as % of the total area analyzed
% 7) the intensity of the organelle, as % of the total intensity of all
% organelles in the area analyzed
% These values are written for each organelle in a .txt file containing the
% image name with the termination _means
% The lines represent the different organelles, and the columns the 7 types
% of values
% The means and standard deviations of all 7 values are saved in a separate .txt
% file containing the image name with the termination _val
% These files can now be used in any other software.

% the next button moves the user to the next image
% after all images are analyzed, a file is generated containing all values,
% from all images, named values_matrix.txt
% a separate file, containing the means and standard deviations of all values (obtained by
% averaging the mean values from each image analyzed) is also provided:
% all_values_means.txt


cd 'C:\data_2012\sinem\New Folder';% the address of the folder to be worked on
      
[stat, mess]=fileattrib('*_ch00.tif') % looks for the files to be analyzed; assumes that they all end with a "_ch00.tif" termination
% other terminations need to be chosen, according to the names of the files that should be analyzed
imagenr=1;
the_name=strcat(mess(imagenr).Name(1:numel(mess(imagenr).Name)-4),'_val.txt');

values_matrix=[];
movi=[];
positioner=0;
hex=[]; hey=[];
pixel_size=20;

a=imread(mess(imagenr).Name);
siza=size(a);
if numel(siza)>2
    movi(:,:,1)=rb2gray(a);
else
    movi(:,:,1)=a;
end;


old_movi=movi;

name_nr=mess(imagenr).Name;

himg=imagesc(movi(:,:,1)); axis equal;


m=uicontrol('style','pushbutton', 'callback','sroi_next',...
      'position',[300 0 70 30],'string','Next');
 
xxes=[]; yyes=[]; zz=[];
counter=0;
 set(gcf,'windowbuttondownfcn','sroi_00y');